<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>
      Minesweeper
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true" scroll-y="false">
  <ion-header collapse="condense">
    <ion-toolbar>
      <ion-title size="large">Minesweeper</ion-title>
    </ion-toolbar>
  </ion-header>

  <section class="container">
    <div class="info">
      <span id="difficulty">Schwierigkeitsgrad: {{difficulty}}</span>
      <span id="game_result">{{gameResult}}</span>
    </div>

    <div class="playground">
      <div class="row" *ngFor="let row of fields; let x = index;">
        <ion-button
          *ngFor="let field of row; let y = index;"
          [fill]="field.isRevealed ? 'outline' : 'solid'"
          (click)="click(x, y)">
          <span *ngIf="field.isFlag && !field.isRevealed">🚩</span>
          <span *ngIf="field.isRevealed">{{field.isBomb ? '💣' : field.bombCount}}</span>
        </ion-button>
      </div>
    </div>

    <div class="buttons">
      <ion-button (click)="reset()">Neues Spiel</ion-button>
      <ion-button (click)="changeDifficulty()">Schwierigkeit ändern</ion-button>
      <ion-button (click)="changeMode()">Modus: {{mode}}</ion-button>
    </div>
  </section>
</ion-content>
